Package org.italiangrid.voms.util

# Class TimeUtils

java.lang.Object
org.italiangrid.voms.util.TimeUtils

public class TimeUtils extends Object
Time utilities.

Author:
  cecco

## Field Summary

Fields
Modifier and Type
Field
Description
`static final DateTimeFormatter`
`DATE_FORMATTER`

## Method Summary

Modifier and Type
Method
Description
`static boolean`
`checkTimeInRangeWithSkew(Date timeToCheck, Date startDate, Date endDate, int skewInMinutes)`
Checks that a date falls in the interval allowing for a certain clock skew expressed in minutes.
`static Date`
`parseDate(String date)`
Parses a date from string

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### DATE_FORMATTER

public static final DateTimeFormatter DATE_FORMATTER

## Method Details

### checkTimeInRangeWithSkew

public static boolean checkTimeInRangeWithSkew(Date timeToCheck, Date startDate, Date endDate, int skewInMinutes)
Checks that a date falls in the interval allowing for a certain clock skew expressed in minutes. The interval defined by (startDate, endDate) is modified to be (startDate - skewInMinutes, endDate + skewInMinutes).

Parameters:
  `timeToCheck` - the time to be checked
  `startDate` - the start date of the time range
  `endDate` - the end date of the time range
  `skewInMinutes` - the clock skew in minutes to take into account
Returns:
  `true`, if the time is in the given range, `false` otherwise
Throws:
  `IllegalArgumentException` - if passed an illegal time range

### parseDate

public static Date parseDate(String date)
Parses a date from string

Parameters:
  `date` - the date string representation;
Returns:
  the parsed date
Throws:
  `NullPointerException` - if date is null
  `DateTimeParseException` - if the date is in the wrong format